Summary:	avahi - used with Ekiga - formerly Gnomemeeting
Name:		avahi
Version:	0.6.24
Release:	1
Group:		Libraries
Copyright:	LGPL
URL:            http://avahi.org
Source0:        %{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libdaemon libdaemon-devel gnome-python Pyrex
Provides:	howl mDNSResponder libdns_sd.so libhowl.so.0

%description
Avahi is a system which facilitates service discovery on a local network.
This means that you can plug your laptop or computer into a network and
instantly be able to view other people who you can chat with, find printers
to print to or find files being shared. This kind of technology is already
found in Apple MacOS X (branded Rendezvous, Bonjour and sometimes Zeroconf)
and is very convenient. Avahi is mainly based on Lennart Poettering's
flexmdns mDNS implementation for Linux which has been discontinued in favour
of Avahi.

%package 	devel
Summary: 	Development
Group: 		Development
Provides:	howl-devel mDNSResponder-devel

%description 	devel
%{name}

%prep
%setup -q

%build
%configure --disable-nls --with-distro=slackware --disable-mono \
    --disable-qt4 --disable-monodoc --without-python-twisted \
    --with-avahi-user=avahi --with-avahi-group=avahi \
    --enable-compat-howl --enable-compat-libdns_sd \
    --with-avahi-priv-access-group=netdev
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -r $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mv $RPM_BUILD_ROOT/etc/rc.d/rc.avahidaemon $RPM_BUILD_ROOT/etc/init.d/
mv $RPM_BUILD_ROOT/etc/rc.d/rc.avahidnsconfd $RPM_BUILD_ROOT/etc/init.d/
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d; ln -sf ../../init.d/rc.avahidaemon Kavahidaemon.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d; ln -sf ../../init.d/rc.avahidaemon Savahidaemon.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d; ln -sf ../../init.d/rc.avahidnsconfd Kavahidnsconfd.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d; ln -sf ../../init.d/rc.avahidnsconfd Savahidnsconfd.sh

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
# If the avahi user/group don't exist, add them:
if ! grep -q avahi /etc/group; then
        groupadd -g 46 avahi
fi
if ! grep -q avahi /etc/passwd; then
	useradd -u 46 -g avahi -c "avahi" -d /var/empty -s /bin/false avahi
fi
# If the netdev user/group don't exist, add them:
if ! grep -q netdev /etc/group; then
        groupadd -g 11 netdev
fi
if ! grep -q netdev /etc/passwd; then
	useradd -u 11 -g netdev -c "netdev" -d /var/empty -s /bin/false netdev
fi

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}
%{_sbindir}
%{_libdir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/python*
%{_datadir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
